Page MenuHomePhabricator

save button not activated when changing order of statements
Closed, InvalidPublic

Description

  1. I click edit and then the arrow to change order.
  2. save button is not activated
  3. I click cancel
  4. I click edit again and the arrow again
  5. now the save button is activated.

Version: unspecified
Severity: normal
Whiteboard: u=dev c=frontend p=0

Details

Reference
bz73360

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 3:54 AM
bzimport set Reference to bz73360.
bzimport added a subscriber: Unknown Object (MLST).
aude created this task.Nov 13 2014, 12:23 PM

The move toolbar as it is implemented at the moment should be removed--there has been discussion about that with PM. Currently, the "moving" has no proper API support and will also be implemented completely different in the front-end according to the new UI. In my opinion, putting effort into fixing a feature broken anyway is a waste of resources. I recommend setting this to WONTFIX and opening a ticket for tearing down current "move" functionality.
Reactivating the feature should not be done before the API is capable of handling order properly (see bug #72297).

Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
aude added a comment.Jan 15 2015, 4:24 PM

the move toolbar appears gone. While I understand the issues Henning describes, this is very much not nice. I especially need to be able to move statements within a reference, as sometimes i "accidentally" enter in the wrong order. it's annoying to have to delete and re-enter in order to get desired order.

The "move" toolbar was removed as of T58050 and is supposed to be re-implemented on top of T74297. Of course, I would like to have "move" functionality back, but, in my opinion, there is no point in putting effort into re-implementing the "move" toolbar without proper API support. Managing insufficient API support in the front-end code was blocking development progress. I propose closing this bug.

adrianheine closed this task as Invalid.Mar 10 2015, 8:48 AM
adrianheine claimed this task.